Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class ConfigEntryType.ConfigEntrySyntheticType

    java.lang.Object
      org.crosswire.jsword.book.sword.ConfigEntryType
          org.crosswire.jsword.book.sword.ConfigEntryType.ConfigEntrySyntheticType

All Implemented Interfaces:
  Serializable

Enclosing class:
  ConfigEntryType

    public static class ConfigEntryType.ConfigEntrySyntheticType

extends ConfigEntryType

Represents a ConfigEntryType that is not actually represented by the Sword Config file.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.crosswire.jsword.book.sword.ConfigEntryType
`ConfigEntryType.ConfigEntryPickType, ConfigEntryType.ConfigEntrySyntheticType`

Field Summary
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class org.crosswire.jsword.book.sword.ConfigEntryType
`ABOUT, BLOCK_COUNT, BLOCK_TYPE, CATEGORY, CIPHER_KEY, COMPRESS_TYPE, COPYRIGHT, COPYRIGHT_CONTACT_ADDRESS, COPYRIGHT_CONTACT_EMAIL, COPYRIGHT_CONTACT_NAME, COPYRIGHT_CONTACT_NOTES, COPYRIGHT_DATE, COPYRIGHT_HOLDER, COPYRIGHT_NOTES, DATA_PATH, DESCRIPTION, DIRECTION, DIRECTION_BIDI, DIRECTION_LTOR, DIRECTION_RTOL, DISPLAY_LEVEL, DISTRIBUTION_LICENSE, DISTRIBUTION_NOTES, DISTRIBUTION_SOURCE, ENCODING, FEATURE, FONT, GLOBAL_OPTION_FILTER, GLOSSARY_FROM, GLOSSARY_TO, HISTORY, INITIALS, INSTALL_SIZE, KEY_TYPE, LANG, LCSH, LIBRARY_URL, LOCATION_URL, MINIMUM_VERSION, MOD_DRV, OBSOLETES, OSIS_Q_TO_TICK, OSIS_VERSION, SHORT_COPYRIGHT, SHORT_PROMO, SOURCE_TYPE, SWORD_VERSION_DATE, TEXT_SOURCE, VERSION`

Constructor Summary
`ConfigEntryType.ConfigEntrySyntheticType(String name)` Simple ctor

Method Summary
`boolean` | `isSynthetic()` Synthetic keys are those that are not in the Sword Book's conf, but are needed by the program.

Methods inherited from class org.crosswire.jsword.book.sword.ConfigEntryType
`allowsContinuation, allowsRTF, convert, equals, filter, fromInteger, fromString, getDefault, getName, hasChoices, hashCode, isAllowed, mayRepeat, readResolve, reportDetails, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### ConfigEntryType.ConfigEntrySyntheticType

    public ConfigEntryType.ConfigEntrySyntheticType(String name)

  Simple ctor

Method Detail

### isSynthetic

    public boolean isSynthetic()

  Description copied from class: `ConfigEntryType`
  Synthetic keys are those that are not in the Sword Book's conf, but are needed by the program. Typically, these are derived by the program from the other entries.

  Overrides:
    `isSynthetic` in class `ConfigEntryType`
  Returns:
    true if this is synthetic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD